> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unihop.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Availability

> Retrive the availability of the service provider.



## OpenAPI

````yaml GET /availability
openapi: 3.1.0
info:
  title: OpenAPI UniHop Api
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://backend.unihop.app/api/v1
security:
  - bearerAuth: []
paths:
  /availability:
    get:
      tags:
        - Services
      summary: Get service availability
      description: Retrive the availability of the service provider.
      responses:
        '200':
          description: Successfully retrived the availability of the service provider
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeliveryService'
              example:
                service: UniHop
                available: true
        '400':
          description: Bad Request - Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DeliveryService:
      type: object
      properties:
        service:
          type: string
          description: Name of the service provider
          example: UniHop
        available:
          type: boolean
          description: Whether the service is currently available
          example: true
      required:
        - service
        - available
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
          description: A string error code identifying the type of error.
        message:
          type: string
          description: A human-readable message describing the error.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````